searchNodes=[{"ref":"ExRets.html","title":"ExRets","type":"module","doc":"RETS client for Elixir."},{"ref":"ExRets.html#login/2","title":"ExRets.login/2","type":"function","doc":"Open an HTTP client and log in to a RETS server. Returns an :ok tuple with either a client/0 if the login succeeds, or an ExRets.HttpResponse.t/0 if the login attempt ends with a non-200 status code. An :error tuple is returned for any other issues. Options :timeout - HTTP timeout in seconds, applied to each HTTP request by the client."},{"ref":"ExRets.html#logout/1","title":"ExRets.logout/1","type":"function","doc":"Logout and close the HTTP client. Returns an :ok tuple with either a ExRets.RetsResponse.t/0 if the logout succeeds, or an ExRets.HttpResponse.t/0 if the logout ends with a non-200 status code. An :error tuple is returned for any other issues."},{"ref":"ExRets.html#search/2","title":"ExRets.search/2","type":"function","doc":"Perform a RETS search. Returns an :ok tuple with either a ExRets.RetsResponse.t/0 if the search succeeds, or an ExRets.HttpResponse.t/0 if the search ends with a non-200 status code. An :error tuple is returned for any other issues."},{"ref":"ExRets.html#t:client/0","title":"ExRets.client/0","type":"opaque","doc":"RETS client."},{"ref":"ExRets.html#t:opts/0","title":"ExRets.opts/0","type":"type","doc":"Options for the RETS client."},{"ref":"ExRets.html#t:reason/0","title":"ExRets.reason/0","type":"type","doc":"Details about why an error occurred."},{"ref":"ExRets.HttpResponse.html","title":"ExRets.HttpResponse","type":"module","doc":"An HTTP response."},{"ref":"ExRets.HttpResponse.html#t:body/0","title":"ExRets.HttpResponse.body/0","type":"type","doc":"HTTP response body"},{"ref":"ExRets.HttpResponse.html#t:status/0","title":"ExRets.HttpResponse.status/0","type":"type","doc":"HTTP status code"},{"ref":"ExRets.HttpResponse.html#t:t/0","title":"ExRets.HttpResponse.t/0","type":"type","doc":"HTTP response"},{"ref":"ExRets.RetsResponse.html","title":"ExRets.RetsResponse","type":"module","doc":"The parsed response of a RETS request."},{"ref":"ExRets.RetsResponse.html#t:reply_code/0","title":"ExRets.RetsResponse.reply_code/0","type":"type","doc":"Included to provide a mechanism to pass additional information to the client in the event that the request is processed OK but some condition still exist that may require an action by the client. A value of &#39;0&#39; indicates success."},{"ref":"ExRets.RetsResponse.html#t:reply_text/0","title":"ExRets.RetsResponse.reply_text/0","type":"type","doc":"Human-readable meaning of the reply_code/0"},{"ref":"ExRets.RetsResponse.html#t:response/0","title":"ExRets.RetsResponse.response/0","type":"type","doc":"Main content of the RETS response."},{"ref":"ExRets.RetsResponse.html#t:t/0","title":"ExRets.RetsResponse.t/0","type":"type","doc":"Parsed response of a RETS request."},{"ref":"ExRets.CapabilityUris.html","title":"ExRets.CapabilityUris","type":"module","doc":"URIs for issuing RETS requests."},{"ref":"ExRets.CapabilityUris.html#parse/2","title":"ExRets.CapabilityUris.parse/2","type":"function","doc":"Parses a capability URL list returned as part of a login response. Uses host information from the login URI if a returned capability URL does not include host information. Examples iex&gt; login_uri = URI.parse(&quot;https://example.com/login&quot;) iex&gt; ExRets.CapabilityUris.parse(&quot;Login = /login\\nSearch = /search&quot;, login_uri) %ExRets.CapabilityUris{ login: %URI{ authority: &quot;example.com&quot;, host: &quot;example.com&quot;, path: &quot;/login&quot;, port: 443, scheme: &quot;https&quot; }, search: %URI{ authority: &quot;example.com&quot;, host: &quot;example.com&quot;, path: &quot;/search&quot;, port: 443, scheme: &quot;https&quot; } } iex&gt; login_uri = URI.parse(&quot;https://example.com/login&quot;) iex&gt; ExRets.CapabilityUris.parse(&quot;Search = http://different.example.com/search&quot;, login_uri) %ExRets.CapabilityUris{ search: %URI{ authority: &quot;different.example.com&quot;, host: &quot;different.example.com&quot;, path: &quot;/search&quot;, port: 80, scheme: &quot;http&quot; } }"},{"ref":"ExRets.CapabilityUris.html#t:t/0","title":"ExRets.CapabilityUris.t/0","type":"type","doc":"URIs for issuing RETS requests."},{"ref":"ExRets.Credentials.html","title":"ExRets.Credentials","type":"module","doc":"Login information required to begin a RETS session."},{"ref":"ExRets.Credentials.html#t:t/0","title":"ExRets.Credentials.t/0","type":"type","doc":"Login information required to begin a RETS session."},{"ref":"ExRets.LoginResponse.html","title":"ExRets.LoginResponse","type":"module","doc":"Information necessary for a client to issue other requests. Includes URIs that may be used for other RETS requests, and may also contain identity and parameter information if required by the functions supported by the server."},{"ref":"ExRets.LoginResponse.html#t:key_value_body/0","title":"ExRets.LoginResponse.key_value_body/0","type":"type","doc":"Key-value format used in the login response body."},{"ref":"ExRets.LoginResponse.html#t:t/0","title":"ExRets.LoginResponse.t/0","type":"type","doc":"Information necessary for a client to issue other requests."},{"ref":"ExRets.SessionInformation.html","title":"ExRets.SessionInformation","type":"module","doc":"Identity and parameter information."},{"ref":"ExRets.SessionInformation.html#parse/1","title":"ExRets.SessionInformation.parse/1","type":"function","doc":"Parses session information returned as part of a login response. Attempts to parse data types into equivalent Elixir types, but will pass through invalid values as strings. Examples iex&gt; ExRets.SessionInformation.parse(&quot;Info=USERID;Character;1&quot;) %ExRets.SessionInformation{user_id: &quot;1&quot;} iex&gt; ExRets.SessionInformation.parse(&quot;Info=MetadataTimestamp;DateTime;2019-11-13T19:58:45Z&quot;) %ExRets.SessionInformation{metadata_timestamp: ~N[2019-11-13T19:58:45Z]} iex&gt; ExRets.SessionInformation.parse(&quot;Info=MetadataTimestamp;DateTime;invalid&quot;) %ExRets.SessionInformation{metadata_timestamp: &quot;invalid&quot;}"},{"ref":"ExRets.SessionInformation.html#t:agent_code/0","title":"ExRets.SessionInformation.agent_code/0","type":"type","doc":"Code that is stored in the property records for the listing agent, selling agent, etc."},{"ref":"ExRets.SessionInformation.html#t:balance/0","title":"ExRets.SessionInformation.balance/0","type":"type","doc":"User-readable indication of the money balance in the account."},{"ref":"ExRets.SessionInformation.html#t:broker_branch/0","title":"ExRets.SessionInformation.broker_branch/0","type":"type","doc":"Used in the validation routines of the Update transaction."},{"ref":"ExRets.SessionInformation.html#t:broker_code/0","title":"ExRets.SessionInformation.broker_code/0","type":"type","doc":"Used in the validation routines of the Update transaction."},{"ref":"ExRets.SessionInformation.html#t:member_name/0","title":"ExRets.SessionInformation.member_name/0","type":"type","doc":"Member&#39;s full name (display name) as it is to appear on any printed output; for example &quot;Jane T. Row&quot;."},{"ref":"ExRets.SessionInformation.html#t:metadata_id/0","title":"ExRets.SessionInformation.metadata_id/0","type":"type","doc":"Persistent ID associated with the metadata applied to the current user session."},{"ref":"ExRets.SessionInformation.html#t:metadata_timestamp/0","title":"ExRets.SessionInformation.metadata_timestamp/0","type":"type","doc":"Timestamp associated with the current version of metadata on the server."},{"ref":"ExRets.SessionInformation.html#t:metadata_version/0","title":"ExRets.SessionInformation.metadata_version/0","type":"type","doc":"Most current version of the metadata that is available on the server."},{"ref":"ExRets.SessionInformation.html#t:min_metadata_timestamp/0","title":"ExRets.SessionInformation.min_metadata_timestamp/0","type":"type","doc":"Earliest version of the metadata that the server will support."},{"ref":"ExRets.SessionInformation.html#t:office_list/0","title":"ExRets.SessionInformation.office_list/0","type":"type","doc":"Enumeration of the offices to which the server will permit login."},{"ref":"ExRets.SessionInformation.html#t:operator_name/0","title":"ExRets.SessionInformation.operator_name/0","type":"type","doc":"Name of the MLS or Association operating the system."},{"ref":"ExRets.SessionInformation.html#t:password_expiration/0","title":"ExRets.SessionInformation.password_expiration/0","type":"type","doc":"Date that the current user password becomes invalid."},{"ref":"ExRets.SessionInformation.html#t:role_name/0","title":"ExRets.SessionInformation.role_name/0","type":"type","doc":"Name of the role restriction where the metadata may be restricted."},{"ref":"ExRets.SessionInformation.html#t:server_product_name/0","title":"ExRets.SessionInformation.server_product_name/0","type":"type","doc":"Name of the server product provided by the vendor."},{"ref":"ExRets.SessionInformation.html#t:server_product_version/0","title":"ExRets.SessionInformation.server_product_version/0","type":"type","doc":"Version of the server product."},{"ref":"ExRets.SessionInformation.html#t:standard_names_version/0","title":"ExRets.SessionInformation.standard_names_version/0","type":"type","doc":"Version of StandardNames that the server supports."},{"ref":"ExRets.SessionInformation.html#t:support_contact_information/0","title":"ExRets.SessionInformation.support_contact_information/0","type":"type","doc":"Free text that provides a contact email, phone, or website for development support."},{"ref":"ExRets.SessionInformation.html#t:t/0","title":"ExRets.SessionInformation.t/0","type":"type","doc":"Identity and parameter information."},{"ref":"ExRets.SessionInformation.html#t:timeout_seconds/0","title":"ExRets.SessionInformation.timeout_seconds/0","type":"type","doc":"Number of seconds after a transaction that a session will remain active."},{"ref":"ExRets.SessionInformation.html#t:user_class/0","title":"ExRets.SessionInformation.user_class/0","type":"type","doc":"Used in the validation routines of the Update transaction. Implementation dependent and may not exist on some systems."},{"ref":"ExRets.SessionInformation.html#t:user_id/0","title":"ExRets.SessionInformation.user_id/0","type":"type","doc":"ID of the signed in user."},{"ref":"ExRets.SessionInformation.html#t:user_level/0","title":"ExRets.SessionInformation.user_level/0","type":"type","doc":"Used in the validation routines of the Update transaction. Implementation dependent and may not exist on some systems."},{"ref":"ExRets.SessionInformation.html#t:vendor_name/0","title":"ExRets.SessionInformation.vendor_name/0","type":"type","doc":"Name of the server product vendor."},{"ref":"ExRets.SessionInformation.html#t:warn_password_expiration_days/0","title":"ExRets.SessionInformation.warn_password_expiration_days/0","type":"type","doc":"Number of days before the expiration date that the user should be warned of the upcoming password expiration. A value of &quot;-1&quot; indicates that the password expiration is disabled."},{"ref":"ExRets.LogoutResponse.html","title":"ExRets.LogoutResponse","type":"module","doc":"Parsed server response from a logout transaction."},{"ref":"ExRets.LogoutResponse.html#t:t/0","title":"ExRets.LogoutResponse.t/0","type":"type","doc":"Parsed server response from a logout transaction."},{"ref":"ExRets.CompactDelimiter.html","title":"ExRets.CompactDelimiter","type":"module","doc":"A delimiter that separates fields in a compact record."},{"ref":"ExRets.CompactDelimiter.html#decode/1","title":"ExRets.CompactDelimiter.decode/1","type":"function","doc":"Decodes a delimiter value from the octet returned as part of a compact response. Examples iex&gt; ExRets.CompactDelimiter.decode(&quot;09&quot;) {:ok, &quot;\\t&quot;} iex&gt; ExRets.CompactDelimiter.decode(&quot;9&quot;) {:ok, &quot;\\t&quot;} iex&gt; ExRets.CompactDelimiter.decode(&quot;invalid&quot;) :error"},{"ref":"ExRets.CompactDelimiter.html#t:octet/0","title":"ExRets.CompactDelimiter.octet/0","type":"type","doc":"Raw delimiter value returned as part of a compact response."},{"ref":"ExRets.CompactDelimiter.html#t:t/0","title":"ExRets.CompactDelimiter.t/0","type":"type","doc":"Decoded delimiter value."},{"ref":"ExRets.CompactRecord.html","title":"ExRets.CompactRecord","type":"module","doc":"Compact records are sequences of fields separated by a delimiter."},{"ref":"ExRets.CompactRecord.html#decode/2","title":"ExRets.CompactRecord.decode/2","type":"function","doc":"Parses a compact record string into a list of strings. Options :delimiter - string that separates the compact record fields. Defaults to \\t. Examples iex&gt; ExRets.CompactRecord.decode(&quot;\\tListingKey\\tModificationTimestamp\\t&quot;) [&quot;ListingKey&quot;, &quot;ModificationTimestamp&quot;] iex&gt; ExRets.CompactRecord.decode(&quot;\\nListingKey\\nModificationTimestamp\\n&quot;, delimiter: &quot;\\n&quot;) [&quot;ListingKey&quot;, &quot;ModificationTimestamp&quot;]"},{"ref":"ExRets.CompactRecord.html#t:decode_opt/0","title":"ExRets.CompactRecord.decode_opt/0","type":"type","doc":"Option for decoding compact data."},{"ref":"ExRets.CompactRecord.html#t:decode_opts/0","title":"ExRets.CompactRecord.decode_opts/0","type":"type","doc":"Options for decoding compact data."},{"ref":"ExRets.CompactRecord.html#t:t/0","title":"ExRets.CompactRecord.t/0","type":"type","doc":"Parsed list of fields."},{"ref":"ExRets.SearchArguments.html","title":"ExRets.SearchArguments","type":"module","doc":"Arguments for a RETS Search Transaction."},{"ref":"ExRets.SearchArguments.html#encode_query/1","title":"ExRets.SearchArguments.encode_query/1","type":"function","doc":"Encodes search arguments t/0 into a query string. Examples iex&gt; search_arguments = %ExRets.SearchArguments{ ...&gt; search_type: &quot;Property&quot;, ...&gt; class: &quot;Residential&quot; ...&gt; } iex&gt; ExRets.SearchArguments.encode_query(search_arguments) &quot;Class=Residential&amp;Count=0&amp;Format=COMPACT-DECODED&amp;Limit=NONE&amp;Offset=1&amp;QueryType=DMQL2&amp;SearchType=Property&amp;StandardNames=0&quot;"},{"ref":"ExRets.SearchArguments.html#t:class/0","title":"ExRets.SearchArguments.class/0","type":"type","doc":"Specifies the class of the resource to search. Required."},{"ref":"ExRets.SearchArguments.html#t:count/0","title":"ExRets.SearchArguments.count/0","type":"type","doc":"Controls whether the server&#39;s response includes a count. Possible values: :no_record_count - no record count returned :include_record_count - record-count is returned in addition to the data :only_record_count - only a record-count is returned; no data is returned"},{"ref":"ExRets.SearchArguments.html#t:format/0","title":"ExRets.SearchArguments.format/0","type":"type","doc":"Selects one of the three supported data return formats for the query response. Possible values: COMPACT COMPACT-DECODED STANDARD-XML"},{"ref":"ExRets.SearchArguments.html#t:limit/0","title":"ExRets.SearchArguments.limit/0","type":"type","doc":"Requests the server to apply or suspend a limit on the number of records returned in the search."},{"ref":"ExRets.SearchArguments.html#t:offset/0","title":"ExRets.SearchArguments.offset/0","type":"type","doc":"Retrieve records beginning with the record number indicated, with a value of 1 indicating to start with the first record."},{"ref":"ExRets.SearchArguments.html#t:payload/0","title":"ExRets.SearchArguments.payload/0","type":"type","doc":"Request a specific XML format for the return set. Only set payload OR format and optionally select."},{"ref":"ExRets.SearchArguments.html#t:query/0","title":"ExRets.SearchArguments.query/0","type":"type","doc":"Query as specified by the language denoted in query_type."},{"ref":"ExRets.SearchArguments.html#t:query_type/0","title":"ExRets.SearchArguments.query_type/0","type":"type","doc":"Designates the query language used in query."},{"ref":"ExRets.SearchArguments.html#t:restricted_indicator/0","title":"ExRets.SearchArguments.restricted_indicator/0","type":"type","doc":"Used in place of withheld field values."},{"ref":"ExRets.SearchArguments.html#t:search_type/0","title":"ExRets.SearchArguments.search_type/0","type":"type","doc":"Specifies the resource to search. Required."},{"ref":"ExRets.SearchArguments.html#t:select/0","title":"ExRets.SearchArguments.select/0","type":"type","doc":"A comma-separated list of fields for the server to return."},{"ref":"ExRets.SearchArguments.html#t:standard_names/0","title":"ExRets.SearchArguments.standard_names/0","type":"type","doc":"Specifies whether to use standard names or system names. This argument affects to all names used in search_type, class, query, and select arguments. Possible values: false - system names true - standard names"},{"ref":"ExRets.SearchArguments.html#t:t/0","title":"ExRets.SearchArguments.t/0","type":"type","doc":"Arguments for a RETS Search Transaction."},{"ref":"ExRets.SearchResponse.html","title":"ExRets.SearchResponse","type":"module","doc":"Records matching a search query."},{"ref":"ExRets.SearchResponse.html#t:max_rows/0","title":"ExRets.SearchResponse.max_rows/0","type":"type","doc":"true if the request results in more matches than the server returns, false otherwise."},{"ref":"ExRets.SearchResponse.html#t:t/0","title":"ExRets.SearchResponse.t/0","type":"type","doc":"Records matching a search query."}]